### Method

# Gio Settings get_enum

since: 2.26

#### Declaration

    gint
    g_settings_get_enum (
      GSettings* settings,
      const gchar* key
    )

#### Description

Gets the value that is stored in `settings` for `key` and converts it to the enum value that it represents.

In order to use this function the type of the value must be a string and it must be marked in the schema file as an enumerated type.

It is a programmer error to give a `key` that isn’t contained in the schema for `settings` or is not marked as an enumerated type.

If the value stored in the configuration database is not a valid value for the enumerated type then this function will return the default value.

Available since: 2.26

#### Parameters

`key`

  Type: `const gchar*`

  The key to get the value for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gint`

The enum value.